/* Mobile first design */
/* Custom Properties */

:root{
    --first-color: #F11A29;
    --secondary-color: #59544B;
    --third-color: #DE9427;       
    --text-color-primary: #E9E9E9;
    --text-color-secondary: #000;
    --white-color: #fff;
    --black-alpha-color: rgba(0,0,0,0.3);
    --link-color: #140374;
    --font:'Montserrat', sans-serif;
    --max-width: 1200px;
    --header-height: 7rem;
    --back-color: #F2F2F2;
    --footer-color: #1f1f1f;
}

/* Reset */

html{
    box-sizing: border-box;
    font-family: var(--font);
    font-size: 62.5%;
    scroll-behavior: smooth;
}

.body{
    margin: 0;
    overflow-x: hidden;
}

.body.activado{
   overflow-y: hidden;  
}

*,
*::after,
*::before{
    box-sizing: inherit;
}

a{
    color: var(--link-color);
    transition: all 0.5s ease-out;
    text-decoration: none;
}

a:hover{
    opacity: 0.75;
}

h1{
    margin:0;
    font-size: 3rem;
    color: #444444;
}

h2{
    margin:0;
    font-size: 2.7rem;
    color: #444444;
}

h3{
    margin:0;
    font-size: 1.9rem;
    color: #444444;
}

h4{
    margin:0;
    font-size: 1.25rem;
}

.tituloPlan{
    margin:0;
    font-size: 1.25rem;
}

h5{
    margin:0;
    font-size: 1rem;
}

h6{
    margin:0;
    font-size: 0.85rem;
}

/* img{
    width: 100%;
    height: auto;
} */

p{
    line-height: 1.6;
    color: #666666;
}

/* Utilities */
.box-shadow-1{
    box-shadow: 4px 4px 16px rgba(0,0,0,0.25);
}

.border{
  border: 1px solid red;
}

.btn{
    margin-top: 2rem;
    border-radius: 0.5rem;
    padding: 1rem;
    display: inline-block;
    width: 170px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    font-size: 1.3rem;
    color: var(--secondary-color);
    background-color: var(--joker-color);
}

.container{
    margin-left: auto;
    margin-right: auto;
    max-width: var(--max-width);
}

.grey-scale {
    filter: grayscale(1);
}

.none{
    display: none;
}

.borde{
  border: 1px solid red;
}

.section{
    padding: 2.7rem 1.4rem;     
}

.section-title{
    border-top: thin solid var(--first-color);
    border-bottom: thin solid var(--first-color);
    width: 300px;
    margin: 0 auto 2.6rem auto;
    padding: 0.7rem 1.4rem;
    text-align: center;
}

.text-center{
    text-align: center;
}

.back-color{
    background-color: var(--back-color);
}

.text-left{
    text-align: left;
}

.text-right{
    text-align: right;
}


/* Site Styles */

/* Header */

.icon-whatsapp{
    width: 64px;
    height: 64px;
    border-radius: 50%;
  }
  
  .btn-wsp{
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 9;
    box-shadow:  rgba(0,0,0,0.3);
  }

  .top-bar{
      height: 2rem;
      background-color: #BF3502;
      color: var(--white-color);
      display: flex;
      justify-content: flex-end;
      align-items: center;
  }

  .top-bar a{
      color: var(--white-color);
  }
  
  .top-bar i{
      padding: 3px;
  }

  .top-bar__parrafo{
    padding: 0; 
    margin: 0;
    font-family: sans-serif;
}

.p-right{
    padding-right: 7px;
}
  
  .header{
    /* position: sticky;
   left:0;  */
   /* bottom: 0;  */
   /* z-index: 1;  */
   width: 100%;
   height: var(--header-height);
   padding: 0.7rem 2rem;
   background-color: var(--white-color);
   display: flex;
   align-items: center;
   justify-content: space-between;
}

.header.activado{
   position: fixed;
   left:0;
}


.logo {
   width: auto;
   display: flex;
   align-items: center;
}

/* .logoimg{
   width: 140px;
   height: auto;
} */

.header > .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.menu-btn{
    outline: thin solid var(--first-color);
    border:0;
    background-color: var(--first-color);
    cursor: pointer;
}

.menu-btn svg{
    fill: var(--white-color);
}

.menu{
    position: fixed;
    width: 100%;
    min-height: calc(100% - 8rem );
    /* height: calc(100% - 9rem); */
    display:flex;
    flex-direction: column;
    justify-content: space-evenly;
    position: fixed;
    left: 0;
    top: 9rem;
    background-color: var(--white-color);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease;    
    z-index: 3;
}

.menu a{
    padding: 1rem;
    font-size: 1.5rem;
    font-weight: bold;
    text-decoration:none;
    text-align: center;
    color: var(--first-color);
}

.menu a:hover{
    background-color: var(--joker-color);
    color: var(--third-color);
}

.menu.is-active{
    opacity: 1;
    pointer-events: auto;   
}

p{
    font-size: 1.7rem;
}

/** Slider **/

  
.w-slider {
    width: 100%;
    margin: auto;
    overflow: hidden;
    position: relative;
    
  }
  
  .slider {
    display: flex;
    width: 200%;   /* cantidad de fotos */
    height: 86vh;  
    margin-left: -100%;
  }
  
  .slider__section {
    width: 100%;
  }
  
  .slider__img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  .slider__btn {
    position: absolute;
    /* width: 30px;
    height: 30px; */
    color: rgba(255, 255, 255, 0.7);
    top: 50%;
    transform: translateY(-50%);
    font-size: 4rem;
    font-weight: bold;
    cursor: pointer;
    /* text-align: center; */
    /* border-radius: 50%; */
    display:none; /*temporal*/
  }
  
  .slider__btn--right {
    right: 10px;
  }
  .slider__btn--left {
    left: 10px;
  }
  /* .slider__btn:hover {
    background-color: #fff;
  } */

  /* Oficinas Virtuales */


/* .clientes {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--clr-primaryBackground);
  } */

  .planes{
      padding-top: 3rem;
  }
  /* .planes h2{
      margin-left: 1rem;
      padding-bottom: 2rem;
  } */
  

  .card-trimestral{
        margin: 1.9rem;
        text-align: center;
        border: 1px solid var(--secondary-color);
        padding-bottom: 2rem;
   }

  .card-titulo{
      padding: 1rem;
      background-color: var(--secondary-color);
      color: var(--white-color);
  }

  .card-info{
      text-align: left;
      padding: 1rem;
  }

  .wrapper-precio{
      width: 100%;
      /* border: 1px solid yellow; */
      text-align: center;
      font-size: 1.7rem;
      
  }
  
  .card-precio{     
      color: var(--first-color);
      font-size: 3rem;
  }

  .button {
    cursor: pointer;
    display: inline;
    font-size: 1.5rem;
    text-decoration: none;
    color: var(--white-color);
    background-color: #BF3502;
    padding: 0.5em 1.25em;
    border-radius: 3rem;
    /* margin-bottom: 1rem; */
  }
  
  /* Galeria de Imagenes */

  .gallery{
    background-color: var(--secondary-color);
       
  }

  .gallery h2{
    color: var(--white-color);
  }
 
  #gallery-container{
    display: grid;
    grid-template-columns: repeat(1,1fr);
    grid-gap: 2px;
    max-width: auto;
    min-width: 300px;
    padding: 7px 7px;
    justify-items: center;
   
}

#gallery-container img{
    border-radius: 5px;
    cursor: pointer;
}

#img-activa{
  width: 100%;
  height: auto;
}

 /*Contenedor Principal del Lightbox*/

 #main-container-lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    background-color: rgba(0, 0, 0, 0.55);
    display: none;
    justify-content: center;
    align-items: center;
  }

  /*Contenedor interno del Lightbox*/

#internal-container-lightbox{
    border: 2px #f3f3f3 solid;
    padding: 2px;
    background: #3f3f3f;
    max-width: 97vw;
    min-height: 33vh;
    position: relative;
    display: flex;
    justify-content: center;
  }

  #internal-container-lightbox button {
    cursor: pointer;
    background: transparent;
    border: none;
    color: #f3f3f3;
  }
  
  #btn-cierra {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 3rem;
  }
  
  #btn-retrocede {
    position: absolute;
    top: 50%;
    left: 0;
    font-size: 3rem;
  }
  
  #btn-adelanta {
    position: absolute;
    top: 50%;
    right: 0;
    font-size: 3rem;
  }

  /* Contacto */

.contacto{
    /* background-color: var(--joker-color);
    color: var(--text-color-primary); */
    background-color: var(--white-color);
    text-align: center;
}

/* Formulario Contacto */

.img-contacto{
    /* width: 30% ; */
    display: block;
    border-radius: 5%;
    margin:auto;
    margin-bottom: 2rem;
  }
  
  /* .formulario-contacto {
    margin-bottom: 4rem;
  } */
  .formulario-contacto h2 {
    padding-top: 4rem;
    padding-bottom: 2rem;
    font-size: 3.3rem;
    color: var(--clr-primary);
  }
  
  form {
    text-align: center;  
    font-size: 1.4em;
    padding-left: 1rem;
  }
  
  ::placeholder {
    color: var(--clr-primaryBackground);
    /* font-size: 1.4em; */
    font-style: italic;
    
  }
  
  .textarea {
    width: 90%;
    margin: 0.5rem 0;
    background: #f2f3f4;
    border: 3px solid transparent;
    border-radius: 3px;
    /* height: 45px; */
    /* line-height: 45px;   */
    transition: 0.3s ease all;
    resize: none;
    padding-left: 1rem;
    /* color: var(--clr-primaryBackground);
    font-size: 1.5em;
    font-style: italic; */
  }
  
  .textarea:focus {
    border: 3px solid #0075ff;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
  }
  
  .textarea-error {
    font-size: 12px;
    margin-bottom: 0;
    display: none;
  }
  
  .textarea-error-activo {
    display: block;
  }
  
  .formulario__input {
    width: 90%;
    margin: 0.5rem 0;
    /* padding: 0.7rem; */
    background: #f2f3f4;
    border: 3px solid transparent;
    border-radius: 3px;
    height: 45px;
    line-height: 45px;
    transition: 0.3s ease all;
    padding-left: 1rem;
    /* color: var(--clr-primaryBackground);
    font-size: 1.5em;
    font-style: italic; */
  }
  
  .formulario__input:focus {
    border: 3px solid #0075ff;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
  }
  
  .formulario__input-error {
    font-size: 12px;
    margin-bottom: 0;
    display: none;
  }
  
  .formulario__input-error-activo {
    display: block;
  }
  
  .formulario__validacion-estado {
    position: absolute;
    right: 10px;
    bottom: 15px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
  }
  
  .formulario__grupo-input {
    position: relative;
  }
  
  .formulario__mensaje {
    height: 45px;
    width: 50%;
    line-height: 45px;
    background: #f66060;
    padding: 0 15px;
    border-radius: 3px;
    display: none;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3px;
  }
  
  .formulario__mensaje-activo {
    display: block;
  }
  
  .formulario__mensaje p {
    margin: 0;
  }
  
  /* ----- -----  Estilos para Validacion ----- ----- */
  .formulario__grupo-correcto .formulario__validacion-estado {
    color: #1ed12d;
    opacity: 1;
  }
  
  .formulario__grupo-incorrecto .formulario__label {
    color: #bb2929;
  }
  
  .formulario__grupo-incorrecto .formulario__validacion-estado {
    color: #bb2929;
    opacity: 1;
  }
  
  .formulario__grupo-incorrecto .formulario__input {
    border: 3px solid #bb2929;
  }
  
  .formulario__grupo-incorrecto .textarea {
    border: 3px solid #bb2929;
  }
  
  .formulario__validacion-estado {
    position: absolute;
    right: 10px;
    bottom: 2rem;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
  }
  
  .formulario__checkbox {
    margin-right: 10px;
  }
  
  .formulario__mensaje-exito {
    font-size: 14px;
    color: #119200;
    display: none;
  }
  
  .formulario__mensaje-exito-activo {
    display: block;
  }
  
  .formulario__grupo-btn-enviar {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .formulario__btn {
    height: 45px;
    line-height: 45px;
    width: 30%;
    background: #000;
    color: #fff;
    font-weight: bold;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: 0.1s ease all;
  }
  
  #btnEnviarCotizacion {
    background-color: #BF3502;
    color:  var(--white-color);
    width: 90%;
    padding: 2rem;
    font-size: 2rem;
  }

  .footer{
    background-color: #1f1f1f;
    color: var(--text-color-primary);
  }

  .footer div{
    padding: 1rem;
  }

  .footer-logo{
    /* width: 100%; 
    height: 100%;  */
    text-align: center;
  }

  .footer img{
    width: auto;
    height: auto;        
  }  

  .footer-info-contacto{
    text-align: center;
  }


 .footer-info-contacto .numero-footer{
    color: var(--first-color);
    font-size: 2.9rem;
  }

 
  footer p{
    color: var(--text-color-primary);
    font-size: 1.3rem;
    margin:0;
    font-weight: bold;
  }

  .footer-horario{
    text-align: center;
  }

  .footer-rrss{
    text-align: center;
  }  

  .img-rrss{
    width: 100%;
    margin-left: auto;
    margin-right: auto;    
  }

  .img-rrss img{
    margin: 0 1rem;
    width: 10%;
    height: auto;    
  }

  .footer-copyright{
    text-align: center;   
  }

  .footer-copyright a{
    text-decoration: none;
    color:var(--text-color-primary)
  }

  .footer-copyright{
    background-color: #1f1f1f;
    color: var(--text-color-primary);

}


  
